diff --git a/src/tds/net.c b/src/tds/net.c
index f93cdff..57040fc 100644
--- a/src/tds/net.c
+++ b/src/tds/net.c
@@ -107,7 +107,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: net.c,v 1.95 2009/08/25 14:25:35 freddy77 Exp $");
+TDS_RCSID(var, "$Id: net.c,v 1.96 2010/01/08 22:08:01 jklowden Exp $");
 
 #undef USE_POLL
 #if defined(HAVE_POLL_H) && defined(HAVE_POLL) && !defined(C_INTERIX)
@@ -133,6 +133,8 @@ static TDSERRNO tds_open_socket(TDSSOCKET * tds, const char *ip_addr, unsigned i
  */
 
 #ifdef WIN32
+const char * tds_prwsaerror( int erc );
+#define strerror(x) tds_prwsaerror((x))
 int
 _tds_socket_init(void)
 {
@@ -309,7 +311,7 @@ tds_open_socket(TDSSOCKET * tds, const char *ip_addr, unsigned int port, int tim
 		goto not_available;
 	}
 	if (len != 0) {
-		tds->oserr = sock_errno;
+		tds->oserr = len;
 		tdsdump_log(TDS_DBG_ERROR, "getsockopt(2) reported: %s\n", strerror(len));
 		goto not_available;
 	}
diff --git a/src/tds/numeric.c b/src/tds/numeric.c
index 148a0a8..5dec69e 100644
--- a/src/tds/numeric.c
+++ b/src/tds/numeric.c
@@ -37,7 +37,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: numeric.c,v 1.45 2009/01/16 20:27:58 jklowden Exp $");
+TDS_RCSID(var, "$Id: numeric.c,v 1.46 2010/01/08 22:08:01 jklowden Exp $");
 
 /* 
  * these routines use arrays of unsigned char to handle arbitrary
@@ -366,6 +366,7 @@ tds_numeric_to_string(const TDS_NUMERIC * numeric, char *s)
 #endif
 
 /* include to check limits */
+
 #include "num_limits.h"
 
 static int
diff --git a/src/tds/token.c b/src/tds/token.c
index fa9ae14..8ee7d90 100644
--- a/src/tds/token.c
+++ b/src/tds/token.c
@@ -38,11 +38,18 @@
 #include "tdsiconv.h"
 #include "tds_checks.h"
 #include "replacements.h"
+
+/* Microsoft's linker complains about missing tds_get_varint_size */
+#ifdef WIN32
+# define TDS_GET_VARINT_SIZE_ONLY
+# include "types.h"
+#endif
+
 #ifdef DMALLOC
-#include <dmalloc.h>
+ <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: token.c,v 1.376 2009/11/26 09:07:28 freddy77 Exp $");
+TDS_RCSID(var, "$Id: token.c,v 1.377 2010/01/08 22:08:01 jklowden Exp $");
 
 #define USE_ICONV tds->use_iconv
 
diff --git a/win32/config.h b/win32/config.h
index cc63345..34ade6a 100644
--- a/win32/config.h
+++ b/win32/config.h
@@ -219,7 +219,7 @@
 #define TDS_I64_FORMAT "I64d"
 
 /* Version number of package */
-#define VERSION "0.65"
+#define VERSION "0.83.dev"
 
 /* Define to 1 if your processor stores words with the most significant byte
    first (like Motorola and SPARC, unlike Intel and VAX). */
@@ -241,3 +241,9 @@
 #define inline __inline
 #endif
 
+#include <winsock2.h>
+#include <BaseTsd.h>
+
+typedef SSIZE_T ssize_t;
+
+

